<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<geronimo-plugin xmlns="http://geronimo.apache.org/xml/ns/plugins-1.3" xmlns:ns2="http://geronimo.apache.org/xml/ns/attributes-1.2">
    <name>Geronimo Plugins, Connector 1.6 :: Transaction Manager (JTA11)</name>
    <category>Geronimo Core</category>
    <pluginGroup>false</pluginGroup>
    <description>Geronimo transaction manager module.</description>
    <url>http://geronimo.apache.org/</url>
    <author>The Apache Geronimo development community</author>
    <license osi-approved="true">The Apache Software License, Version 2.0</license>
    <plugin-artifact>
        <module-id>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>transaction-1_6</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </module-id>
        <geronimo-version>3.0.0</geronimo-version>
        <jvm-version>1.6</jvm-version>
        <dependency>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>j2ee-server</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.framework</groupId>
            <artifactId>j2ee-security</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.modules</groupId>
            <artifactId>geronimo-connector-1_6</artifactId>
            <version>3.0.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.components</groupId>
            <artifactId>geronimo-connector</artifactId>
            <version>3.1.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.modules</groupId>
            <artifactId>geronimo-transaction-1_6</artifactId>
            <version>3.0.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.specs</groupId>
            <artifactId>geronimo-j2ee-connector_1.6_spec</artifactId>
            <version>1.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.tranql</groupId>
            <artifactId>tranql-connector</artifactId>
            <version>1.7</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.modules</groupId>
            <artifactId>geronimo-bval</artifactId>
            <version>3.0.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>commons-beanutils</groupId>
            <artifactId>commons-beanutils</artifactId>
            <version>1.8.3</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>commons-collections</groupId>
            <artifactId>commons-collections</artifactId>
            <version>3.2.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>3.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.bundles</groupId>
            <artifactId>bval-jsr303</artifactId>
            <version>0.4_1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.specs</groupId>
            <artifactId>geronimo-jpa_2.0_spec</artifactId>
            <version>1.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.aries.transaction</groupId>
            <artifactId>org.apache.aries.transaction.blueprint</artifactId>
            <version>0.2-incubating</version>
            <type>jar</type>
        </dependency>
        <source-repository>~/.m2/repository/</source-repository>
        <source-repository>http://repo1.maven.org/maven2/</source-repository>
        <source-repository>http://repository.apache.org/snapshots/</source-repository>
        <config-xml-content>
            <ns2:gbean name="XidFactory">
                <ns2:attribute name="tmId">${TmId}</ns2:attribute>
            </ns2:gbean>
            <ns2:gbean name="ResourceBindings">
                <ns2:attribute name="format">${ResourceBindingsFormat}</ns2:attribute>
                <ns2:attribute name="nameInNamespace">${ResourceBindingsNameInNamespace}</ns2:attribute>
                <ns2:attribute name="namePattern">${ResourceBindingsNamePattern}</ns2:attribute>
                <ns2:attribute name="abstractNameQuery">${ResourceBindingsQuery}</ns2:attribute>
            </ns2:gbean>
        </config-xml-content>
        <artifact-alias key="org.apache.geronimo.configs/transaction-1_6/3.0-beta-1/car">org.apache.geronimo.configs/transaction-1_6/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.configs/transaction-1_6/3.0-M1/car">org.apache.geronimo.configs/transaction-1_6/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.configs/transaction-1_6//car">org.apache.geronimo.configs/transaction-1_6/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.configs/openjpa//car">org.apache.geronimo.configs/openjpa2/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.configs/persistence-jpa10-deployer//car">org.apache.geronimo.configs/persistence-jpa20-deployer/3.0.0/car</artifact-alias>
        <config-substitution key="TmId">71,84,77,73,68</config-substitution>
        <config-substitution key="ResourceBindingsFormat">{groupId}/{artifactId}/{j2eeType}/{name}</config-substitution>
        <config-substitution key="ResourceBindingsNameInNamespace">jca:</config-substitution>
        <config-substitution key="ResourceBindingsNamePattern"></config-substitution>
        <config-substitution key="ResourceBindingsQuery">?#org.apache.geronimo.naming.ResourceSource</config-substitution>
    </plugin-artifact>
</geronimo-plugin>
